Summary: A program for plotting mathematical expressions and data.
Name: gnuplot
Version: 4.2.6
Release: 2
License: Redistributable, with restrictions
Group: Applications/Engineering
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildPrereq: libpng-devel, zlib-devel
BuildRequires: texinfo
Requires: libpng, zlib
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.gnuplot.info/

BuildRequires: freetype2-devel >= 2.3.5, fontconfig-devel >= 2.5.0
BuildRequires: libjpeg-devel, libpng-devel, libXpm-devel, zlib-devel
BuildRequires: gd-devel >= 2.0.35-5
Requires: freetype2 >= 2.3.5, fontconfig >= 2.5.0
Requires: libjpeg, libpng, libXpm, zlib
Requires: gd >= 2.0.35-5

%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

Install gnuplot if you need a graphics package for scientific data
representation.


%prep
%setup -q
%patch0


%build

./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --with-readline=builtin \
    --with-gd \
    --enable-history-file
make %{?_smp_mflags}

cd docs
make info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gnuplot.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post 
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc BUGS ChangeLog Copyright FAQ NEWS README TODO demo
%{_bindir}/gnuplot
%{_libexecdir}/%{name}/4.2/gnuplot_x11
%{_mandir}/man1/%{name}.1
%{_libdir}/X11/app-defaults/*
%{_datadir}/%{name}/4.2/%{name}.gih
%{_datadir}/%{name}/4.2/PostScript/
%{_infodir}/%{name}.info.gz
/usr/bin/*


%changelog
* Mon Apr 26 2010 Michael Perzl <michael@perzl.org> - 4.2.6-2
- fixed crash caused not thread-safe GD version
- fixed the AIX OS release information

* Tue Nov 17 2008 Michael Perzl <michael@perzl.org> - 4.2.6-1
- updated to version 4.2.6

* Sat Nov 08 2008 Michael Perzl <michael@perzl.org> - 4.2.4-1
- updated to version 4.2.4

* Tue Apr 22 2008 Michael Perzl <michael@perzl.org> - 4.2.3-2
- some minor spec file cleanups

* Thu Mar 13 2008 Michael Perzl <michael@perzl.org> - 4.2.3-1
- updated to version 4.2.3

* Fri Sep 28 2007 Michael Perzl <michael@perzl.org> - 4.2.2-1
- first version for AIX V5.1 and higher
